## Stats Types

```@docs
Krylov.KrylovStats
Krylov.SimpleStats
Krylov.LanczosStats
Krylov.LanczosShiftStats
Krylov.SymmlqStats
Krylov.AdjointStats
Krylov.LNLQStats
Krylov.LSLQStats
Krylov.LsmrStats
```

## Workspace of Krylov methods

```@docs
KrylovWorkspace
MinresWorkspace
MinaresWorkspace
CgWorkspace
CrWorkspace
CarWorkspace
SymmlqWorkspace
CgLanczosWorkspace
CgLanczosShiftWorkspace
MinresQlpWorkspace
DiomWorkspace
FomWorkspace
DqgmresWorkspace
GmresWorkspace
UsymlqWorkspace
UsymqrWorkspace
TricgWorkspace
TrimrWorkspace
TrilqrWorkspace
CgsWorkspace
BicgstabWorkspace
BilqWorkspace
QmrWorkspace
BilqrWorkspace
CglsWorkspace
CglsLanczosShiftWorkspace
CrlsWorkspace
CgneWorkspace
CrmrWorkspace
LslqWorkspace
LsqrWorkspace
LsmrWorkspace
LnlqWorkspace
CraigWorkspace
CraigmrWorkspace
GpmrWorkspace
FgmresWorkspace
```

## Workspace of block-Krylov methods

```@docs
BlockKrylovWorkspace
BlockMinresWorkspace
BlockGmresWorkspace
```

## Utilities

```@docs
Krylov.roots_quadratic
Krylov.sym_givens
Krylov.to_boundary
Krylov.vec2str
Krylov.ktypeof
Krylov.kzeros
Krylov.kones
Krylov.vector_to_matrix
Krylov.matrix_to_vector
```
